<template>
    <div class="data-table">
        <table class="table">
            <thead>
                <tr>
                    <th v-for="(header, h) in headers"
                        :key="h">
                        {{ header.key }}
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="(item, i) in items" :key="i"
                    :class="`${item.class}`">
                    <td v-for="(column, c) in item.columns" :key="c"
                        :class="`${column.class}`">
                        {{ column.value }}
                    </td>
                </tr>
            </tbody>
        </table> 
        <span class="no-data" v-if="items.length == 0">
            <i class="icon ion-md-document"></i>
            No data
        </span>
    </div>    
</template>

<script>
export default {
  name: 'DataTable',
  props: ['headers', 'items']
}
</script>